Index: /code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- /code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9787)
+++ /code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9788)
@@ -63,10 +63,10 @@
 
 <!-- Spawntrigger -->    
-	<SpawnPoint team=0 position="0,0,0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow />
+	<SpawnPoint team=0 position="13500, 2500, 11500" lookat="0,0,20000" spawnclass=SpaceShip pawndesign=spaceshipswallow /> <!-- pawndesign=spaceshipcollateraldamage -->
 	
 	<EventMultiTrigger name=spawntrigger>
 	  <events>
 	    <trigger>
-	      <SpawnPoint team=0 position="0,0,0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow >
+	      <SpawnPoint team=0 position="13500, 2500, 11500" lookat="0,0,20000" spawnclass=SpaceShip pawndesign=spaceshipswallow > <!-- pawndesign=spaceshipcollateraldamage -->
 	        <EventTrigger invert=true>
 		  <events>
@@ -82,5 +82,5 @@
 
 	<!-- Second Spawntrigger -->
-	<DistanceTrigger name=spawntrigger2 position="0,0,0" target="SpaceShip" distance=10 stayActive="true" delay=0 />
+	<DistanceTrigger name=spawntrigger2 position="13500, 2500, 11500" target="SpaceShip" distance=10 stayActive="true" delay=0 />
 
 	<!-- Drone pickup -->
@@ -134,4 +134,5 @@
 		<complete-effects>
 			<AddQuest questId="spacefight.guard2" />
+			<AddQuest questId="spacefight.escape" />
 		</complete-effects>
 	</LocalQuest>
@@ -143,7 +144,4 @@
 			failMessage="You've lost all your ships!"
 			completeMessage="" />
-		<complete-effects>
-			<AddQuest questId="spacefight.escape" />
-		</complete-effects>
 	</LocalQuest>
 
@@ -263,4 +261,5 @@
 	</QuestEffectBeacon>
 
+
 	<BlinkingBillboard position="13500, 2500, 10500" color="1.0,1.0,1.0" frequency=0.6 amplitude=10 material="Examples/Flare" >
           <events>
@@ -327,5 +326,5 @@
 	</QuestEffectBeacon>
 
-	<!-- Escape -->
+	<!-- ESCAPE -->
 	<SimpleNotification message="A spion is startet to the mainship!"  broadcast="true">
 		<events>
@@ -342,21 +341,24 @@
 		<events>
 			<execute>
-				<EventListener event="guard2trigger1" />
+				<EventListener event="secondPatrol" />
 			</execute>
 		</events>
 	</QuestEffectBeacon>
-
+	
+	<!-- ESCAPE ENDING -->
+	<!-- Spion escaped -->
 	<QuestEffectBeacon times=0>
 		<effects>
 			<CompleteQuest questId="spacefight.escape" />
-			<CompleteQuest questId="spacefight.mainfight(max)" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="escaped" />
+			<AddQuest questId="spacefight.mainfight(max)" />
+		</effects>
+		<events>
+			<execute>
+				<EventListener event="spionTrigger" />
 			</execute>
 		</events>
 	</QuestEffectBeacon>
 
+	<!-- Spion destroyed -->
 	<QuestEffectBeacon>
 		<effects>
@@ -366,5 +368,5 @@
 		<events>
 			<execute>
-				<EventListener event="notEscaped" />
+				<EventListener event="destroyed" />
 			</execute>
 		</events>
@@ -463,7 +465,44 @@
 	</SimpleNotification>
 
-	<!-- Timer for the Escape-sequence 
-	<Timer interval=120 bLoop="false" bKillAfterCall="true" executor="" >
-	-->
+	<!-- DistanceTrigger for spion -->
+	<DistanceTrigger name="spionTrigger" position="0,-10000,42000" target="DistanceTriggerBeacon" targetname="spionBeacon" distance=100 stayActive="true" delay=0 beaconMode="identify" />
+
+	<SimpleNotification message="spion is arrived!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="spionTrigger" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+
+	<!--	
+	<Trigger name="destroyed" mode="and" stayActive="true"> -->
+		<DistanceTrigger name="destroyed" position="0,-10000,42000" target="DistanceTriggerBeacon" targetname="spionBeacon" distance=1000 stayActive="true" delay=0 beaconMode="exclude"/>
+		<!-- <EventTrigger>
+			<events>
+				<trigger>
+					<EventListener event="spionEvent" />
+				</trigger>
+			</events>
+		</EventTrigger>
+	</Trigger> -->
+
+	<SimpleNotification message="spion destroyed!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="spion" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+	<SimpleNotification message="quest should be completed"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="destroyed" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+
+	<BlinkingBillboard position="0,-10000,42000" frequency=0.5 color="1.0,1.0,1.0" amplitude=10 material="Examples/Flare" />
+	
 
 	<!-- Rescue the commander -->
@@ -610,20 +649,12 @@
 
 <!-- For Escape -->
-	<!-- If the spion is destroyed -->
-	<Trigger name="notEscaped" mode="xor" stayActive="true" >
-		<DistanceTrigger position="-7000,-10000,42000" target="SpaceShip" distance=100 stayActive="true" delay=0 />
-		
-		<!-- If the spion is escaped -->
-		<Trigger name="escaped" mode="xor" stayActive="true" >
-			<DistanceTrigger position="-7000,-10000,42000" target="SpaceShip" distance=100 stayActive="true" delay=0 />
-			<EventTrigger activations="1" >
-				<events>
-					<trigger>
-						<EventListener event="spion" />
-					</trigger>
-				</events>
-			</EventTrigger>
-		</Trigger>
-	</Trigger>
+	<EventTrigger name="spionEvent" activations="1" stayactive="true" delay=0>
+		<events>
+			<trigger>
+				<EventListener event="spion" />
+			</trigger>
+		</events>
+	</EventTrigger>
+	
 
 <!-- For last fight -->
@@ -885,9 +916,9 @@
 </SpaceShip>
 
-<!-- Escape-Ship -->
+<!-- Escape-Ship (Spion) -->
 <SpaceShip position="17000,4000,22000" lookat="-12000, -22000, 25000" name="spion" visible="true" radarname="Spion" >
   <events>
     <visibility>
-      <EventListener event="guard1trigger4" />
+      <EventListener event="guard2trigger1" />
     </visibility>
   </events>
@@ -898,6 +929,6 @@
     <WaypointController team=1>
       <waypoints>
-        <Model mesh="cube.mesh" scale=1000 position="-7000,-10000,42000" />
-        <Model mesh="cube.mesh" scale=0 position="-12000, -22000, 25000" />
+        <Model mesh="cube.mesh" scale=100 position="0,-10000,42000" /> <!-- "-7000,-10000,42000" -->
+        <Model mesh="cube.mesh" scale=100 position="-12000, -22000, 25000" />
       </waypoints>
       <events>
@@ -908,4 +939,7 @@
     </WaypointController>
   </controller>
+  <attached>
+    <DistanceTriggerBeacon name="spionBeacon" />
+  </attached>
 </SpaceShip>
 
Index: /code/branches/levelMichael/data/levels/templates/spaceshipHXYSL.oxt
===================================================================
--- /code/branches/levelMichael/data/levels/templates/spaceshipHXYSL.oxt	(revision 9787)
+++ /code/branches/levelMichael/data/levels/templates/spaceshipHXYSL.oxt	(revision 9788)
@@ -25,4 +25,5 @@
     <attached>
       <Model position="0,0,0" yaw=180 pitch=-90 roll=0 scale=4 mesh="HXY.mesh" />
+      <DistanceTriggerBeacon name="player" />
     </attached>
     <collisionShapes>
